Ubuntu在apt-get 安装时出现dpkg: error processing package XXX的问题

在安装python-lxml时出现了以下错误:

dpkg: error processing package python3-lxml (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 python3
 python3-bs4
 python3-pkg-resources
 python3-chardet
 python3-six
 python3-html5lib
 python3-lxml
E: Sub-process /usr/bin/dpkg returned an error code (1)

参考博客:https://www.cnblogs.com/anpengapple/p/5098960.html 中说是dpkg目录中的info目录异常,然而直接删除这个目录会导致一些问题(苦逼的这个问题可能就是我把Ubuntu中的默认python由2改到3,然后在纠正之后出现的一系列问题中越走越远。。。。),所以先备份,更新一下这个目录:

sudo mv /var/lib/dpkg/info/ /var/lib/dpkg/info_backup/
sudo mkdir /var/lib/dpkg/info/

后附篇误删的解决方法:https://www.2cto.com/os/201305/207615.html

©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页